2002-11-17  H.J. Lu  <hjl@gnu.org>

	* glibc-reloc-alpha.patch: New. Fix the alpha relocation.

	* Makefile (PATCHES): Replace glibc-alpha.patch with
	glibc-reloc-alpha.patch.
	* glibc.spec: Likewise.

2002-11-17  H.J. Lu  <hjl@gnu.org>

	* glibc-prof-dso-alpha.patch: New. Fix DSO profiling on alpha.

	* Makefile (PATCHES): Add glibc-prof-dso-alpha.patch.

	* glibc.spec: Apply glibc-prof-dso-alpha.patch.

2002-10-11  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 42.

	* glibc.spec: Updated for glibc 2.2.5-42.
	(glibcrelease): Set to 42.1.

2002-10-07  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 40.

	* glibc.spec: Updated for glibc 2.2.5-40.
	(glibcrelease): Set to 40.1.

2002-09-12  H.J. Lu  <hjl@gnu.org>

	* glibc.spec: Don't apply glibc-rpc-socket.patch.

2002-09-12  H.J. Lu  <hjl@gnu.org>

	* glibc-rpc-socket.patch: Add reuse.

2002-09-12  H.J. Lu  <hjl@gnu.org>

	* glibc-rpc-socket.patch: New. Extract svctcp_socket and
	svcudp_socket from glibc-rpcport.patch.

	* Makefile (PATCHES): Replace glibc-rpcport.patch with
	glibc-rpc-socket.patch.
	* glibc.spec: Likewise.

2002-09-11  H.J. Lu  <hjl@gnu.org>

	* glibc-rpcport.patch: Add svctcp_socket and svcudp_socket.

	* glibc.spec: Require libelf-devel for build, instead of
	libelf.

2002-09-11  H.J. Lu  <hjl@gnu.org>

	* glibc-rpcport.patch: New. Support rpcport to provide the
	default ports for RPC services.

	* Makefile (PATCHES): Add glibc-rpcport.patch.

	* glibc.spec: Apply glibc-rpcport.patch.
	(glibcrelease): Set to 39.2.

2002-09-11  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-pthread-rel.patch: Move new functions to
	GLIBC_PRIVATE.

2002-09-11  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-rpc-single.patch: Move __libc_rpc_single_context to
	GLIBC_PRIVATE.

2002-08-14  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 39.

	* glibc.spec: Updated for glibc 2.2.5-39.
	(glibcrelease): Set to 39.1.

2002-07-29  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 37.

	* glibc.spec: Updated for glibc 2.2.5-37.
	(glibcrelease): Set to 37.1.

2002-07-16  H.J. Lu  <hjl@gnu.org>

	* glibc.spec (glibcrelease): Set to 36.4.

2002-07-16  H.J. Lu  <hjl@gnu.org>

	* glibc-pthread.patch: Include <shlib-compat.h> in
	wrapsyscall.c.

2002-07-15  H.J. Lu  <hjl@gnu.org>

	* Makefile (RPMFLAGS): Remove "--without auxarches". Add
	"-with via" only for i386.

	* glibc.spec: Support "--without auxarches":

		a. Remove glibc-compat.
		b. Use %{enablekernel2} for i686 and athlon.
		c. Don't use separate libraries for i686 and athlon.
		d. Export CC=gcc for prelink.
		e. Remove libNoVersion*.

2002-07-08  H.J. Lu  <hjl@gnu.org>

	* glibc-mips-shm.patch: New. Fix SHMLBA for mips.

	* Makefile (PATCHES): Add glibc-mips-shm.patch.

	* glibc.spec: Apply glibc-mips-shm.patch.
	(glibcrelease): Set to 36.3.

2002-07-02  H.J. Lu  <hjl@gnu.org>

	* glibc-pthread.patch: New. Based on glibc-2.2-pthread.patch.
	Support all archs.

	* glibc-thread.patch: New. Don't use __thread in header files.

	* Makefile (PATCHES): Replace glibc-2.2-pthread.patch with
	glibc-pthread.patch. Add glibc-thread.patch.

	* glibc.spec: Replace glibc-2.2-pthread.patch with
	glibc-pthread.patch. Apply to all archs.
	Apply glibc-thread.patch.
	(glibcrelease): Set to 36.2.

2002-06-26  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 36.

	* glibc.spec: Updated for glibc 2.2.5-36.
	(glibcrelease): Set to 36.1.

2002-06-20  H.J. Lu  <hjl@gnu.org>

	* Makefile (install): Update.

2002-06-16  H.J. Lu  <hjl@gnu.org>

	* glibc-close.patch: Don't change the l_opencount field in
	dl_open_worker.

	* glibc.spec (glibcrelease): Set to 34.7.

2002-05-31  H.J. Lu  <hjl@gnu.org>

	* glibc-alpha.patch: New. Fix the alpha build.

	* Makefile (PATCHES): Add glibc-alpha.patch.

	* glibc.spec: Apply glibc-alpha.patch.

2002-05-30  H.J. Lu  <hjl@gnu.org>

	* glibc-close.patch: New. Fix the dlopen error handling.

	* glibc-debug.patch: New. Output ld.so debug message.

	* glibc-needed.patch: New. Optimize dlopen.

	* Makefile (PATCHES): Add glibc-close.patch, glibc-debug.patch
	and glibc-needed.patch.

	* glibc.spec (glibcrelease): Set to 34.6.
	Apply glibc-close.patch, glibc-debug.patch and
	glibc-needed.patch.

2002-05-23  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-pthread-race.patch: New. Fix a race condition.

	* glibc-2.2-pthread-exit.patch: New. Don't call exit in thread.

	* Makefile (PATCHES): Add glibc-2.2-pthread-race.patch and
	glibc-2.2-pthread-exit.patch.

	* glibc.spec (glibcrelease): Set to 34.5.
	Add --without-tls to i686 configure.
	Apply glibc-2.2-pthread-race.patch and
	glibc-2.2-pthread-exit.patch.

2002-05-23  H.J. Lu  <hjl@gnu.org>

	* Makefile (PATCHES): Remove glibc-2.2-nice.patch.

	* glibc.spec (glibcrelease): Set to 34.4.
	Don't apply glibc-2.2-nice.patch.

2002-05-09  H.J. Lu  <hjl@gnu.org>

	* Makefile (RPMFLAGS): Use "--without auxarches", "--with via"
	and "--with singlerpc". Add "--without debug".

	* glibc.spec (rpc_thread): Check "--with threadrpc.
	(rpc_single): Check "--with singlerpc.
	(build_via): Check "--with via".
	(create_debug): Check "--without debug".
	(auxarches): Check "--without auxarches".

2002-05-08  H.J. Lu  <hjl@gnu.org>

	* Makefile (RPMFLAGS): Mention "--without check".

	* glibc.spec (make_check): Check "--without check".

2002-05-08  H.J. Lu  <hjl@gnu.org>

	* Makefile (RPMFLAGS): Add "--without libgd".

	* glibc.spec (glibcrelease): Set to 34.3.
	(has_libgd): Check "--without libgd".

2002-05-08  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-hartvighjl2.patch: New. Fix mips.

	* glibc-2.2-localedata.patch: New. Fix the localedata test.

	* Makefile (PATCHES): Add glibc-2.2-hartvighjl2.patch and
	glibc-2.2-localedata.patch.

	* glibc.spec (glibcrelease): Set to 34.2.
	Apply glibc-2.2-hartvighjl2.patch and
	glibc-2.2-localedata.patch.

2002-04-26  H.J. Lu  <hjl@gnu.org>

	* glibc.spec: Add make_check.

2002-04-22  H.J. Lu  <hjl@gnu.org>

	* glibc.spec: Fine tune cross build.

2002-04-21  H.J. Lu  <hjl@gnu.org>

	* glibc-rpc-raw.patch: New. Fix raw RPC.

	* Makefile (PATCHES): Add glibc-rpc-raw.patch.

	* glibc.spec: Apply glibc-rpc-raw.patch.

2002-04-21  H.J. Lu  <hjl@gnu.org>

	* glibc.spec: Require libelf to build only when needed.

2002-04-21  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 34.
	(PATCHES): Remove glibc-abi.patch.

	* glibc.spec: Updated for glibc 2.2.5-34.
	(glibcrelease): Set to 34.1.
	Don't apply glibc-abi.patch.

	* glibc-2.2-rpc-single.patch: Updated. Move internal functions
	to GLIBC_PRIVATE.

2002-04-10  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-nice.patch: New. Provide the old nice.

	* Makefile (PATCHES): Add glibc-2.2-nice.patch.

	* glibc.spec (glibcrelease): Set to 30.2.
	Apply glibc-2.2-nice.patch.

2002-04-04  H.J. Lu  <hjl@gnu.org>

	* Makefile (RELEASE): Set to 30.

	* glibc.spec: Updated for glibc 2.2.5-30.
	(glibcrelease): Set to 30.1.
	Don't apply glibc-2.2-symver.patch if GLIBC_LINK_TIME_COMPATIABLE
	is 0.

2002-03-22  H.J. Lu  <hjl@gnu.org>

	* glibc.spec (has_libgd): New. Set to 0 by default to exclude
	binaries depended on libgd.

2002-03-22  H.J. Lu  <hjl@gnu.org>

	* glibc-abi.patch: New. Fix the ABI handling.

	* Makefile (PATCHES): Add glibc-abi.patch.

	* glibc.spec: Apply glibc-abi.patch.

2002-03-22  H.J. Lu  <hjl@gnu.org>

	* Makefile (VERSION): Set to 2.2.5.
	(RELEASE): Set to 27.
	(RPMFLAGS): Remove glibc-2.2-dlfcn.patch,
	glibc-2.2-mips-profile.patch, glibc-2.2-mips-gdb.patch,
	glibc-2.2-mips-lock.patch, glibc-2.2-mips-llsc.patch
	and glibc-2.2-mips-ldso.patch.

	* glibc-2.2-prelink.patch: Updated for glibc 2.2.5-27.
	* glibc-2.2-prof-dso.patch: Likewise.
	* glibc-2.2-prof-zero.patch: Likewise.
	* glibc-cross.patch: Likewise.

	* glibc.spec: Updated for glibc 2.2.5-27.
	(glibcrelease): Set to 27.1.
	(create_debug): New. Set to 0 by default to disable creation
	debug rpms.
	Remove glibc-2.2-dlfcn.patch, glibc-2.2-mips-profile.patch,
	glibc-2.2-mips-gdb.patch, glibc-2.2-mips-lock.patch,
	glibc-2.2-mips-llsc.patch and glibc-2.2-mips-ldso.patch.

2002-03-21  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-pthread-rel.patch: Return the timeout remained.

2002-03-20  H.J. Lu  <hjl@gnu.org>

	* glibc-2.2-prof-zero.patch: Fix sprof for the "on", "off" and
	"zero" support.

2002-02-08  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-profile.patch: Updated.

2002-02-07  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-pthread-rel.patch: New. Support time out in
	relative time.

	* Makefile (PATCHES): Add glibc-2.2-pthread-rel.patch.

	* glibc.spec: Apply glibc-2.2-pthread-rel.patch.

2002-02-06  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-ldso.patch: New. Get the right <ldsodefs.h>
	for Linux/mips.

	* Makefile (PATCHES): Add glibc-2.2-mips-llsc.patch.

	* glibc.spec: Apply glibc-2.2-mips-llsc.patch.

	* glibc-2.2-mips-llsc.patch: Remove ".set noreorder".

2002-02-05  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-llsc.patch: Not use branch likely.

2002-02-01  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-llsc.patch: Updated to use branch likely.

2002-01-31  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-llsc.patch: New. Fix ll/sc usages.

	* Makefile (PATCHES): Add glibc-2.2-mips-llsc.patch.

	* glibc.spec: Apply glibc-2.2-mips-llsc.patch.

2002-01-28  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-mips-lock.patch: New. Fix a mips spinlock bug.

	* Makefile (PATCHES): Add glibc-2.2-mips-lock.patch.

	* glibc.spec (glibcrelease): Set to 19.7.
	Apply glibc-2.2-mips-lock.patch.

2001-12-21  H.J. Lu <hjl@gnu.org>

	* Makefile (COMPLETE-CPU-i386): Defined as i686.

2001-12-19  H.J. Lu <hjl@gnu.org>

	* glibc-2.2-prof-zero.patch: New. Support clear, turn on/off
	profile.

	* Makefile (PATCHES): Add glibc-2.2-prof-zero.patch.

	* glibc.spec (glibcrelease): Set to 19.6.
	Apply glibc-2.2-prof-zero.patch.
